<template>
    <div id="main">
        <div id="container-play">
            <div id="form-header">Création de la partie</div>
            <div id="container-page1" v-if="page1IsShow">
                <div id="left-page1">
                    <div id="skin-gender-selector-container">
                        <button @click="maleSkins" id="btn-gender-male" title="Hommes" class="gender-selection">
                            <img id="male" class="gender-nonactive"
                                src="@/assets/images/form/male.svg"
                                alt="male_symbol"
                                width=16
                            >
                        </button>
                        <button @click="femaleSkins" id="btn-gender-female" title="Femmes" class="gender-selection">
                            <img id="female" class="gender-active"
                                src="@/assets/images/form/female.svg"
                                alt="female_symbol"
                                width=12
                            >
                        </button>
                    </div>
                    <div id="skin-selector-container">
                        <div id="skin-selector-header">Skin</div>
                        <div id="skin-selector-skin">
                            <div class="skin-selector-switch">
                                <div @click="previousSkin" id="btn-skin-previous" class="skin-circle-selector">&lt;</div>
                            </div>
                            <img id="skin-selector-preview" :src="currentSkin.path" alt="skin">
                            <div class="skin-selector-switch">
                                <div @click="nextSkin" id="btn-skin-next" class="skin-circle-selector">></div>
                            </div>
                        </div>
                        <div class="button-shop gratuit">Gratuit</div>
                    </div>
                </div>
                <div id="right-page1">
                    <div id="welcome-title">
                        <h1>Bienvenue</h1>
                        <h2>Change ton skin puis personnalise ta game</h2>
                    </div>
                    <div id="input-pseudo">
                        <input v-model="username" id="inputPseudo" autofocus maxlength=14 placeholder="Pseudo" type="text" autocomplete="off">
                    </div>
                    <div id="nav-bar-page1">
                        <div id="nav-bar-bottom">
                            <button @click="goToHomePage" id="btn-page1-home" class="nav-bar-button"><a href="/">accueil</a></button>
                            <button @click="hidePage1ShowPage2" id="btn-page1-next" class="nav-bar-button">Suivant</button>
                        </div>
                    </div>
                </div>
            </div>

            <div id="container-page2" v-if="page2IsShow">
                <div id="page2-title">Type de partie</div>
                <div id="page2-undertitle">Choisis un mode et lance la game</div>
                <div id="page2-button-container">
                    <div class="button-game-type perso">
                        <div class="page2-button-title">Personalisée</div>
                        <div id="btn-page2-perso" class="button-game-desc editgame">Un mot par tour maximum ! <br> Vous
                            pouvez régler le
                            nombre d'Undercovers et ajouter un Mr.White.
                        </div>
                    </div>
                    <div class="button-game-type rapide">
                        <div class="page2-button-title">Rapide</div>
                        <div @click="hidePage2ShowPage4" id="btn-page2-quick" class="button-game-desc quick">Nos espions configurent la game !<br>
                            Choisissez simplement
                            le nombre de mots par tour. Que le meilleur gagne !
                        </div>
                    </div>
                </div>
            </div>

            <div id="container-page3" v-if="page3IsShow">
                <div id="left-page3">
                    <div id="container-old-word">
                        <div id="titlepopup">Mots Précédents</div>
                        <div id="oldword">
                            <p><span class="tourtitle">Tour 8 :</span> Esquimaux</p>
                            <p><span class="tourtitle">Tour 7 :</span> Suède</p>
                            <p><span class="tourtitle">Tour 6 :</span> Nord</p>
                            <p><span class="tourtitle">Tour 5 :</span> Neige</p>
                            <p><span class="tourtitle">Tour 4 :</span> Poisson</p>
                            <p><span class="tourtitle">Tour 3 :</span> Fête de noël</p>
                            <p><span class="tourtitle">Tour 2 :</span> Pêcher</p>
                            <p><span class="tourtitle">Tour 1 :</span> Plat</p>
                        </div>
                    </div>
                    <div id="skin-face-old-world">
                        <img id="imgContainer3" src="@/assets/images/skins/Sage.svg"/>
                        <div id="shadow-white"></div>
                    </div>
                </div>
                <div id="right-page3">
                    <div id="container-logo-page3"><img src="@/assets/images/form/white.svg" alt="mrwhite"/></div>
                    <div id="nb-mots-title">
                        Choisissez le nombre de mots par tour<p>Vous aller devoir ecrire <b id="nb-word">{{ valueRangePage3 }}</b> <b>mots</b> par personnes avant de passer aux votes.</p>
                    </div>
                    <input id="inputRangePage3" type="range" class="range-tours" min="1" max="8" step="1" v-model="valueRangePage3">
                    <div id="nav-bar-bottom3">
                        <button @click="hidePage3ShowPage2" id="btn-page3-previous" class="nav-bar-button">Précedent</button>
                        <button @click="createQuickGame" type="submit" onsubmit="preventEnterKey()" id="btn-page3-create" class="nav-bar-button">
                            Créer
                        </button>
                    </div>
                </div>
            </div>

            <div id="container-page4" v-if="page4IsShow">
                <div id="page4-numbermax-container">
                    <div id="page4-numbermax-rolmax">
                        <img id="imgContainer4" src="@/assets/images/skins/Sage.svg"/>
                        <div id="shadow-black"></div>
                    </div>
                    <div id="page4-numbermax-rolmax-title"><span id="totalPlayer">8</span>&nbsp;&nbsp;Joueurs</div>
                </div>
                <div id="page4-container-role">
                    <div class="page4-role">
                        <div class="page4-role-container-pretab">Mr.White</div>
                        <div class="page4-role-container-tab">
                            <button id="mrWhiteMin" class="role-minus">-</button>
                            <div class="role-number">
                                <div id="mrWhiteValue" class="role-tag">0</div>
                                <img src="@/assets/images/form/white.svg"/></div>
                            <button id="mrWhitePlus" class="role-minus">+</button>
                        </div>
                    </div>

                    <div class="page4-role">
                        <div class="page4-role-container-pretab">Undercover</div>
                        <div class="page4-role-container-tab">
                            <button id="underCoverMin" class="role-minus">-</button>
                            <div class="role-number">
                                <div id="undercoverValue" class="role-tag">1</div>
                                <img src="@/assets/images/form/undercover.svg"/></div>
                            <button id="underCoverPlus" class="role-minus">+</button>
                        </div>
                    </div>
                    <div class="page4-role">
                        <div class="page4-role-container-pretab">Civils</div>
                        <div class="page4-role-container-tab">
                            <button id="civilMin" class="role-minus">-</button>
                            <div class="role-number">
                                <div id="civilValue" class="role-tag">4</div>
                                <img src="@/assets/images/form/civils.svg"/></div>
                            <button id="civilPlus" class="role-minus">+</button>
                        </div>
                    </div>
                </div>
                <div id="timer-container">
                    <div style="width:100%">
                        <input v-model="valueRangePage4" id="inputRangePage4" type="range" class="range-tours" min="10" max="120" step="5">
                    </div>
                    <div id="title-timer"><p style="margin: 0"><b id="secondes">{{ valueRangePage4 }}</b> secondes par tour</p></div>
                </div>
                <div id="nav-bar-bottom4">
                    <button id="btn-page4-previous" class="nav-bar-button">Precedent</button>
                    <button @click="createCustomGame" id="btn-page4-create" class="nav-bar-button">Creer</button>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
import {
    mapActions, mapGetters
} from 'vuex'

export default {
    data() {
        return {
            page1IsShow: true,
            page2IsShow: false,
            page3IsShow: false,
            page4IsShow: false,
            valueRangePage4: 30,
            valueRangePage3: 2,
            counter: 0,
            skinType: 'all',
            username: ''
        }
    },
    methods: {
        ...mapActions([
            'editMenu',
            'setSkins',
            'setCurrentSkin',
            'setCurrentUser',
        ]),
        hidePage1ShowPage2: function() {
            this.page1IsShow = false
            this.page2IsShow = true
        },
        hidePage2ShowPage4: function() {
            this.page2IsShow = false
            this.page3IsShow = true
        },
        hidePage3ShowPage2: function() {
            this.page3IsShow = false
            this.page2IsShow = true
        },
        maleSkins: function() {
            this.counter = 0;
            this.skinType = 'm';
            this.setCurrentSkin(this.getterMaleSkins[0])
        },
        femaleSkins: function() {
            this.counter = 0;
            this.skinType = 'f';
            this.setCurrentSkin(this.getterFemaleSkins[0])
        },
        previousSkin: function() {
            let skins = {};
            switch(this.skinType) {
                case 'm':
                    skins = this.getterMaleSkins
                    break;
                case 'f':
                    skins = this.getterFemaleSkins
                    break;
                default:
                    skins = this.skins
                    break;
            }
            const count = skins.length;
            this.counter++;
            if (this.counter >= count) {
                this.counter = 0
            }
            this.setCurrentSkin(skins[this.counter])
        },
        nextSkin: function() {
            let skins = {};
            switch(this.skinType) {
                case 'm':
                    skins = this.getterMaleSkins
                    break;
                case 'f':
                    skins = this.getterFemaleSkins
                    break;
                default:
                    skins = this.skins
                    break;
            }
            console.log(skins)
            const count = skins.length;
            this.counter++;
            if (this.counter >= count) {
                this.counter = 0
            }
            this.setCurrentSkin(skins[this.counter])
        },
        createQuickGame: function() {
            const user = {
                username: this.username,
                skin: this.currentSkin
            }
            this.setCurrentUser(user)
            localStorage.removeItem('id')
            const idRoom = Math.random().toString(20).substr(2, 8).toUpperCase()
            return this.$router.push({ name: 'room', params: { id: idRoom } })
        },
        goToHomePage: function() {
            return this.$router.push({ name: 'home' })
        }
    },
    computed: {
        ...mapGetters([
            'getSkins',
            'getMaleSkins',
            'getFemaleSkins',
            'getCurrentSkin'
        ]),
        skins() {
            return this.getSkins
        },
        getterFemaleSkins() {
            return this.getFemaleSkins
        },
        getterMaleSkins() {
            return this.getMaleSkins
        },
        currentSkin() {
            return this.getCurrentSkin
        }
    },
    mounted() {
        this.editMenu(false)
        this.setSkins();
    }
}
</script>

<style scoped>
    *, ::after, ::before {
        box-sizing: border-box;
    }

    .container {
        width: 100vw;
        height: 100vh;
        margin: 0;
        font-family: 'Roboto', sans-serif;
        overflow: hidden;
        background: radial-gradient(
                circle,
                rgba(10, 7, 23, 0.12648809523809523) 0%,
                rgba(10, 7, 23, 0.4906337535014006) 31%,
                rgba(10, 7, 23, 1) 78%),
        url('https://cdn.discordapp.com/attachments/775414438924779570/776183635342393354/fixe.png') no-repeat;
        background-size: contain;
        background-position: center 300px;
        box-shadow: inset 00px -10px 100px 100px #0a0717;
        background-color: #0a0717;
    }

    #container-play {
        position: relative;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -60%);
        width: 800px;
        background: #f7f7f7;
        height: 500px;
        border-radius: 15px;
        box-shadow: 15px 15px #898989;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    #form-header {
        width: 35%;
        background: #1E1C26;
        border-radius: 20px 20px 0 0;
        display: flex;
        letter-spacing: 1.2px;
        font-weight: bold;
        color: white;
        text-transform: uppercase;
        text-align: center;
        justify-content: center;
        position: absolute;
        top: -50px;
        padding: 15px 0;
    }

    #container-page1 {
        width: 90%;
        height: 85%;
        display: flex;
        flex-direction: row;
        margin-top: 10px;
    }

    #left-page1 {
        width: 50%;
        height: 100%;
    }

    #skin-gender-selector-container {
        width: 40px;
        height: 100px;
        position: absolute;
        top: 80px;
        color: white;
        left: 289px;
        z-index: 1;
        transform: translateX(-50%);
        border-radius: 8px 8px 0 0;
        text-align: center;
        text-transform: uppercase;
        font-weight: bold;
        letter-spacing: 1.5px;
    }

    #skin-gender-selector-container button {
        width: 35px;
        height: 35px;
        border-radius: 10px;
        margin: 1px;
        background: #1E1C26;
        color: white;
        outline: none;
        border: 0;
        transition: all 0.2s;
    }

    #skin-gender-selector-container button:hover {
        background: #24222d;
    }

    .gender-active {
        filter: brightness(0) invert(1);
    }

    .gender-nonactive {
        filter: invert(63%) sepia(11%) saturate(7%) hue-rotate(4deg) brightness(91%) contrast(88%);
    }

    #skin-selector-container {
        width: 250px;
        height: 100%;
        padding-bottom: 12px;
        background: #1E1C26;
        border-radius: 15px;
        display: flex;
        justify-content: center;
        position: relative;
        flex-direction: column;
        align-items: center;
    }

    #skin-selector-header {
        width: 130px;
        position: absolute;
        top: -20px;
        background: #1E1C26;
        color: white;
        padding: 5px;
        left: 50%;
        transform: translateX(-50%);
        border-radius: 8px 8px 0 0;
        text-align: center;
        font-weight: bold;
        text-transform: uppercase;
        letter-spacing: 1.5px;
    }

    #skin-gender-selector-container {
        width: 40px;
        height: 100px;
        position: absolute;
        top: 80px;
        color: white;
        left: 289px;
        z-index: 1;
        transform: translateX(-50%);
        border-radius: 8px 8px 0 0;
        text-align: center;
        font-weight: bold;
        text-transform: uppercase;
        letter-spacing: 1.5px;
    }

    #skin-gender-selector-container button {
        width: 35px;
        height: 35px;
        border-radius: 10px;
        margin: 1px;
        background: #1E1C26;
        color: white;
        outline: none;
        border: 0;
        transition: all 0.2s;
    }

    #skin-gender-selector-container button:hover {
        background: #24222d;
    }

    #skin-selector-skin {
        height: 80%;
        margin-top: 20px;
        display: flex;
        justify-content: center;
        background: url('https://cdn.discordapp.com/attachments/775414438924779570/776187008518979614/plateform.png') no-repeat;
        background-size: 120px;
        background-position: center 200px;
        position: relative;
        animation: float 6s ease-in-out infinite;
    }

    .skin-selector-switch {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    #skin-selector-preview {
        width: 120px;
        height: 77%;
    }

    .skin-circle-selector {
        width: 40px;
        height: 40px;
        border-radius: 40px;
        background: rgb(255 255 255 / 49%);
        display: flex;
        justify-content: center;
        align-items: center;
        color: #1e1c26;
        font-weight: bold;
        font-size: 20px;
        cursor: pointer;
        user-select: none;
    }

    .gender-selection:hover {
        cursor: pointer;
    }

    .skin-circle-selector:hover {
        background: rgb(255 255 255 / 62%);
        cursor: pointer;
        transition: all 0.2s;
    }

    .button-shop {
        width: 130px;
        height: 30px;
        background: white url('/public/assets/images/form/gold.jpg') no-repeat;
        background-position: -20px -20px;
        border-radius: 10px;
        background-size: 300px;
        justify-content: center;
        color: #1e1c26;
        align-items: center;
        cursor: pointer;
        display: flex;
        text-transform: uppercase;
        font-weight: bolder;
        font-family: 'Work Sans', sans-serif;
        transition: all 0.2s;
    }

    .button-shop:hover {
        color: #1e1c26;
        transition: all 0.2s;
    }

    .gratuit {
        background: #e0e0e0;
        cursor: default;
    }

    .button-shop:hover {
        color: #1e1c26;
        transition: all 0.2s;
    }

    #right-page1 {
        width: 60%;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    #welcome-title {
        padding: 20px 0;
        width: 200px;
        height: 100px;
        text-align: center;
        justify-content: center;
        display: flex;
        text-transform: uppercase;
        flex-direction: column;
        margin-top: 20px;
        color: #1e1c26;
    }

    #welcome-title h1 {
        font-size: 35px;
        font-weight: bolder;
        letter-spacing: 1px;
        margin-bottom: 10px;
    }

    #welcome-title h2 {
        font-size: 14px;
        letter-spacing: 1px;
        font-weight: bold;
        color: #6d6d6d;
        margin: 0 0 30px 0;
    }

    #right-page h1 {
        font-size: 14px;
    }

    #input-pseudo {
        width: 100%;
        height: 50px;
        margin-top: 40px;
        text-align: center;
        justify-content: center;
        display: flex;
        text-transform: uppercase;
        padding: 0 10px;
    }

    #input-pseudo input {
        width: 90%;
        background: #1E1C26;
        border-radius: 15px;
        outline: none;
        border: 0;
        color: white;
        padding: 30px 40px;
        text-align: center;
        text-transform: uppercase;
    }

    #input-pseudo input::placeholder {
        color: #c5c5c5;
    }

    #nav-bar-page1 {
        width: 100%;
        height: 90%;
        display: flex;
        align-items: center;
        justify-content: center;

    }

    #nav-bar-bottom {
        width: 100%;
        height: 50px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .nav-bar-button {
        margin: 20px;
        padding: 20px;
        width: 200px;
        height: 50px;
        background: #1E1C26;
        outline: none;
        border: 0;
        border-radius: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
        color: white;
        text-transform: uppercase;
        font-weight: bold;
        letter-spacing: 1px;
        font-size: 14px;
        transition: all 0.2s;
    }

    .nav-bar-button:hover {
        background: #36343e;
        cursor: pointer;
    }

    .nav-bar-button a {
        text-decoration: none;
        color: white;
    }

    #container-page2 {
        width: 90%;
        height: 85%;
        flex-direction: column;
        align-items: center;
    }

    #page2-title {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        font-size: 25px;
        text-transform: uppercase;
        letter-spacing: 1px;
        font-family: 'Ubuntu', sans-serif;
    }

    #page2-undertitle {
        width: 100%;
        font-size: 12px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        font-weight: bold;
        letter-spacing: 1px;
        text-transform: uppercase;

    }

    #page2-button-container {
        width: 100%;
        height: 50px;
        margin-top: 20px;
        flex-direction: row;
        display: flex;
        justify-content: center;
        text-align: center;
    }

    .page2-button-title {
        width: 100%;
        display: flex;
        justify-content: center;
        text-transform: uppercase;
        font-weight: bold;
        letter-spacing: 1.5px;
    }

    .button-game-type {
        width: 250px;
        height: 300px;
        background: #1e1c26;
        margin: 20px;
        border-radius: 10px;
        cursor: pointer;
        transition: all 0.2s;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        color: white;
        padding: 20px;
        font-family: 'Ubuntu', sans-serif;
    }

    .button-game-desc {
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: flex-end;
        font-size: 11px;
        color: white;

    }

    .quick {
        background: url('https://cdn.discordapp.com/attachments/775414438924779570/776194733168525312/eclaire-start.gif') no-repeat;
        background-size: 100px;
        background-position: center 20px;
    }

    .editgame {
        background: url('https://cdn.discordapp.com/attachments/775414438924779570/776194711999348766/tete-start.gif') no-repeat;
        background-size: 100px;
        background-position: center 20px;
    }

    .perso:hover {
        box-shadow: 5px 5px #898989;
        color: #ffba6f;

    }

    .rapide:hover {
        box-shadow: 5px 5px #898989;
        color: #4da7ff;
    }

    #container-page3 {
        display: flex;
        width: 90%;
        height: 85%;
        flex-direction: row;
        margin-top: 30px;
    }

    #left-page3 {
        width: 50%;
        height: 100%;
    }

    #right-page3 {
        width: 60%;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    #nav-bar-bottom3 {
        width: 100%;
        height: 100%;
        display: flex;
        align-items: flex-end;
        align-self: flex-end;
        justify-content: center;
    }

    #container-old-word {
        width: 200px;
        height: 250px;
        padding: 16px;
        background: rgb(31 31 46);
        border-radius: 10px;
        color: white;
        text-align: center;
        cursor: default;
    }

    #skin-face-old-world {
        width: 200px;
        height: 180px;
        display: flex;
        justify-content: center;
        align-items: center;
        overflow: hidden;
        position: relative;


    }

    #skin-face-old-world img {
        width: 80%;
        top: -20px;
        display: flex;
        position: absolute;


    }

    #shadow-white {
        width: 200px;
        height: 180px;

        box-shadow: inset 0px -70px 30px 5px #f7f7f7;
        z-index: 1;
    }

    #oldword {
        margin-top: 7px;
        width: 100%;
        text-align: left;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
        font-size: 14px;


    }

    #oldword p {
        margin: 0;
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
    }

    #oldword span.tourtitle {
        font-weight: bold;
        color: #7e5efd;
    }

    #oldword span.tourword {
        text-overflow: ellipsis;
        white-space: nowrap;
        overflow: hidden;
    }

    #titlepopup {
        width: 100%;
        text-transform: uppercase;
        font-weight: bold;
        font-size: 17px;
        padding-bottom: 5px;
        border-bottom: solid 2px white;
    }

    #nb-mots-title {
        font-size: 20px;
        text-align: center;

    }

    #nb-mots-title p {
        font-size: 13px;
    }

    .range-tours {
        width: 100%;
        margin-top: 20px;
    }

    .range-tours {
        -webkit-appearance: none;
        width: 100%;
        height: 15px;
        border-radius: 5px;
        background: #d3d3d3;
        outline: none;
        opacity: 0.7;
        -webkit-transition: .2s;
        transition: opacity .2s;
    }

    .range-tours::-webkit-slider-thumb {
        -webkit-appearance: none;
        appearance: none;
        width: 25px;
        height: 25px;
        border-radius: 50%;
        background: #1E1C26;
        cursor: pointer;
    }

    .range-tours::-moz-range-thumb {
        width: 25px;
        height: 25px;
        border-radius: 50%;
        background: #1E1C26;
        cursor: pointer;
    }

    #container-page4 {
        display: flex;
        width: 90%;
        height: 85%;
        margin-top: 20px;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    #nav-bar-bottom4 {
        width: 100%;
        height: 100%;
        display: flex;
        align-items: flex-end;
        align-self: flex-end;
        justify-content: center;
    }

    #nav-bar-bottom4 button {
        cursor: pointer;
    }

    button {
        outline: none;
    }

    #page4-numbermax-container {
        width: 100%;
        display: flex;
        justify-content: center;
        text-transform: uppercase;
        flex-direction: column;
        align-items: center;
    }

    #page4-numbermax-rolmax {
        width: 130px;
        height: 130px;
        border-radius: 130px;
        background: #1e1c26;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;
        border: solid 8px #2f2d38;
        box-shadow: inset -1px 12px 20px 0 #17161b;
    }

    #page4-numbermax-rolmax img {
        width: 110px;
        margin-top: 80px;
    }

    #shadow-black {
        width: 130px;
        height: 130px;
        border-radius: 100px;
        position: absolute;
        box-shadow: inset 0 -10px 20px 0 #17161b;
    }

    #page4-numbermax-rolmax-title {
        width: 100px;
        height: 30px;
        font-size: 13px;
        margin-top: -10px;
        z-index: 1;
        color: white;
        border-radius: 10px;
        padding: 10px;
        background: #1e1c26;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: default;
    }

    #page4-container-role {
        width: 100%;
        display: flex;
        justify-content: space-around;
        padding: 30px 40px;
    }

    .page4-role-container-tab {
        width: 200px;
        height: 100px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .page4-role {
        width: 200px;
        height: 100px;
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .page4-role-container-pretab {
        font-weight: bold;
        text-transform: uppercase;
        cursor: default;
    }

    .role-tag {
        width: 60px;
        height: 22px;
        position: absolute;
        top: 60px;
        z-index: 1;
        color: white;
        border-radius: 10px;
        padding: 10px;
        background: #0b0817;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: default;
    }

    .role-minus {
        width: 40px;
        height: 40px;
        border-radius: 40px;
        background: #0b0817;
        border: 0;
        margin: 2px;
        color: white;
        font-weight: bold;
        font-size: 20px;
        transition: all .2s;
    }

    .role-minus:hover {
        background: #712121;
    }

    .role-minus:focus {
        outline: none;
    }

    .role-number {
        width: 70px;
        height: 70px;
        border-radius: 70px;
        background: #0b0817;
        border: 0;
        outline: none;
        z-index: 1;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
    }


    .role-number img {
        width: 75%;
    }

    #timer-container {
        width: 80%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        margin-bottom: 10px;
    }

    #title-timer {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    #formQuick, #formPerso {
        display: none;
    }

    @keyframes float {
        0% {
            transform: translatey(0px);
        }
        50% {

            transform: translatey(-10px);
        }
        100% {
            transform: translatey(0px);
        }
    }

</style>